6.0.0-git
2019-04-25

[#14549] Number of days between vacation replies = 0
Summary Number of days between vacation replies = 0
Queue Ingo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester chalith (at) slt (dot) com (dot) lk
Created 2016-12-23 (853 days ago)
Due
Updated 2017-10-20 (552 days ago)
Assigned 2017-01-09 (836 days ago)
Resolved 2017-01-27 (818 days ago)
Milestone 3.2.14
Patch No

History
2017-10-20 20:33:50 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e9e704c4a4d64305606703b770829571d6e3008e
Author: Jan Schneider <jan@horde.org>
Date:   Fri, 27 Jan 2017 14:51:31 +0100

[jan] Never send autoreplies again when setting zero vacation days in 
Procmail or Maildrop backends (Bug #14549).

  M docs/CHANGES
  M lib/Script/Maildrop/Recipe.php
  M lib/Script/Procmail/Recipe.php
  M package.xml

https://github.com/horde/ingo/commit/e9e704c4a4d64305606703b770829571d6e3008e
2017-01-27 14:10:29 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit adc2507b597c73ba8b03ffcadefc7e455700fb65
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jan 27 14:51:31 2017 +0100

     [jan] Never send autoreplies again when setting zero vacation 
days in Procmail or Maildrop backends (Bug #14549).

  ingo/lib/Script/Maildrop/Recipe.php |  7 +------
  ingo/lib/Script/Procmail/Recipe.php | 26 ++++++++++++++------------
  ingo/package.xml                    |  1 +
  3 files changed, 16 insertions(+), 18 deletions(-)

http://github.com/horde/horde/commit/adc2507b597c73ba8b03ffcadefc7e455700fb65
2017-01-27 13:51:52 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.2.14
 
2017-01-27 13:51:47 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 88b16e40f845a0a6c26ca7bdd80dcb274e05ab58
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jan 27 14:51:31 2017 +0100

     [jan] Never send autoreplies again when setting zero vacation 
days in Procmail or Maildrop backends (Bug #14549).

  ingo/docs/CHANGES                   |  2 ++
  ingo/lib/Script/Maildrop/Recipe.php |  7 +------
  ingo/lib/Script/Procmail/Recipe.php | 26 ++++++++++++++------------
  ingo/package.xml                    |  2 ++
  4 files changed, 19 insertions(+), 18 deletions(-)

http://github.com/horde/horde/commit/88b16e40f845a0a6c26ca7bdd80dcb274e05ab58
2017-01-27 12:18:23 chalith (at) slt (dot) com (dot) lk Comment #5 Reply to this comment
These are not filter backends. Which filter backend did you enable in Ingo?
Sorry. I can not understand what you need.

As in the previous image i shared, we are trying to setup vacation 
filter. If possible please let me know how we can find the filter that 
is used in the backend in horde.

Also Please check below script i got from horde when configuring the 
rule. Hope it will be useful to find more details about the issue.

Script name: .procmailrc
      1: # procmail script generated by Ingo (January 27, 2017, 5:23 pm)
      2: DEFAULT=$HOME/Maildir/
      3: MAILDIR=$HOME/Maildir
      4: ##### Vacation #####
      5: :0
      6: {
      7:   :0
      8:   * ^TO_testmail@test.com
      9:   {
     10:     FILEDATE=`test -f 
${VACATION_DIR:-.}/'.vacation.testmail@test.com' && ls -lcn 
--time-style=+%s ${VACATION_DIR:-.}/'.vacation.testmail@test.com' | 
awk '{ print $6 + (0) }'`
     11:     DATE=`date +%s`
     12:     DUMMY=`test -f 
${VACATION_DIR:-.}/'.vacation.testmail@test.com' && test $FILEDATE -le 
$DATE && rm ${VACATION_DIR:-.}/'.vacation.testmail@test.com'`
     13:     START=1482345000
     14:     END=1482517800
     15:
     16:     :0 h
     17:     SUBJECT=| formail -xSubject:
     18:
     19:     :0 Whc: ${VACATION_DIR:-.}/vacation.lock
     20:     * ? test $DATE -gt $START && test $END -gt $DATE
     21:     {
     22:       :0 Wh
     23:       * ^TO_testmail@test.com
     24:       * !^X-Loop: testmail@test.com
     25:       * !^X-Spam-Flag: YES
     26:       * !^FROM_DAEMON
     27:       | formail -rD 8192 
${VACATION_DIR:-.}/.vacation.testmail@test.com
     28:       :0 eh
     29:       | (formail -rI"Precedence: junk" \
     30:        -a"From: <testmail@test.com>" \
     31:        -A"X-Loop: testmail@test.com" \
     32:        -i"Subject: Vacation reply (Re: $SUBJECT)" ; \
     33:        echo -e "Vacation reply" \
     34:       ) | $SENDMAIL -ftestmail@test.com -oi -t
     35:     }
     36:   }
     37: }
2017-01-27 09:56:41 Jan Schneider Version ⇒ Git master
Queue ⇒ Ingo
 
2017-01-27 09:56:26 Jan Schneider Comment #4 Reply to this comment
These are not filter backends. Which filter backend did you enable in Ingo?
2017-01-27 05:22:03 chalith (at) slt (dot) com (dot) lk Comment #3
New Attachment: Capture.PNG Download
Reply to this comment
Which filter backend do you use?
Sorry for the delay in response.

In the backend, we use postfix IMAP server and use this imp Horde 
Application for authentication of users.
2017-01-09 14:07:44 Jan Schneider Comment #2
Priority ⇒ 1. Low
State ⇒ Feedback
Reply to this comment
Which filter backend do you use?
2016-12-23 09:07:46 chalith (at) slt (dot) com (dot) lk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Number of days between vacation replies = 0
Due ⇒ 2016-12-23
Queue ⇒ Vacation
Milestone ⇒
Patch ⇒ No
Reply to this comment
When Number of days between vacation replies set to 0, it should send 
auto reply for each and every mail. But it does not send the auto 
reply to second mail on wards.

Please clarify. I need to remove the days between replies.


Saved Queries